# Class HeadersTooLargeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
org.apache.coyote.http11.HeadersTooLargeException

All Implemented Interfaces:
  `Serializable`

public class HeadersTooLargeException extends IllegalStateException
Exception used to mark the specific error condition of the HTTP headers exceeding the maximum permitted size.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HeadersTooLargeException()`
Construct an exception with no detail message.
`HeadersTooLargeException(String message)`
Construct an exception with the specified detail message.
`HeadersTooLargeException(String message, Throwable cause)`
Construct an exception with the specified detail message and cause.
`HeadersTooLargeException(Throwable cause)`
Construct an exception with the specified cause.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HeadersTooLargeException

public HeadersTooLargeException()
Construct an exception with no detail message.

### HeadersTooLargeException

public HeadersTooLargeException(String message, Throwable cause)
Construct an exception with the specified detail message and cause.

Parameters:
  `message` - The detail message
  `cause` - The cause

### HeadersTooLargeException

public HeadersTooLargeException(String message)
Construct an exception with the specified detail message.

Parameters:
  `message` - The detail message

### HeadersTooLargeException

public HeadersTooLargeException(Throwable cause)
Construct an exception with the specified cause.

Parameters:
  `cause` - The cause